import { set as e } from "./schedule.js";
//#region ../../node_modules/d3-transition/src/transition/easeVarying.js
function t(t, n) {
	return function() {
		var r = n.apply(this, arguments);
		if (typeof r != "function") throw Error();
		e(this, t).ease = r;
	};
}
function n(e) {
	if (typeof e != "function") throw Error();
	return this.each(t(this._id, e));
}
//#endregion
export { n as default };
